---
title: Brigade Documentation
description: Homepage of the Brigade Documentation
---

# Brigade Documentation

Everything you need to know about Brigade.  

### First Steps

Are you new to Brigade or to testing applications on Kubernetes? [This is the place to start!](intro/index.md)

### Topic Guides

Learn about alternative methods of installation, integration with other tools, and
writing advanced Brigade scripts. [Dive deep into what makes Brigade, Brigade](topics/index).

### Releasing Brigade

For maintainers of this project, steps on cutting a new release of Brigade can be found [here](topics/releasing).

### Related Resources

If you'd like to add links to this list, open a pull request on 
[Brigade's GitHub project](https://github.com/brigadecore/brigade)

### Articles and Videos

- [Video: Intro to Brigade on Azure Friday](https://www.youtube.com/watch?v=aZMna3VuoAg)
- [Announcing Brigade](https://open.microsoft.com/2017/10/23/announcing-brigade-event-driven-scripting-kubernetes/) - Microsoft
- [Microsoft Launches Brigade](https://thenewstack.io/microsoft-launches-brigade-event-driven-scripting-tool-kubernetes) - The New Stack
- [Video: Building Event-Driven Pipelines with Brigade (KubeCon Europe 2018)](https://www.youtube.com/watch?v=yhfc0FKdFc8)
- [Video: Brigade Basics](https://asciinema.org/a/JBsjOpah4nTBvjqDT5dAWvefG)

### Technical

Brigade-related projects and tools.

- [Hello Helm](https://github.com/technosophos/hello-helm) provides an example
  project for testing Brigade.
- The [Trello Brigade Gateway](https://github.com/technosophos/brigade-trello) links
  Trello webhooks to Brigade.
- The [Twitter-T](https://hub.docker.com/r/technosophos/twitter-t/), [Slack Notify](https://hub.docker.com/r/technosophos/slack-notify/) and [Office 365 Notify](https://hub.docker.com/r/dgkanatsios/o365-notify) Docker images provide easy tools for sending messages from Brigade scripts.
- [bit-brigade](https://bitbucket.org/lukepatrick/bit-brigade) provides an example project using 
  BitBucket as a source repository
- [minio-brigade](https://github.com/lukepatrick/minio-brigade) examples of storing artifacts in object storage (minio)